#!/bin/sh

base00="#101218"
base01="#1f222d"
base02="#252936"
base03="#7780a1"
base04="#C0C5CE"
base05="#d1d4e0"
base06="#C9CCDB"
base07="#ffffff"
base08="#ee829f"
base09="#f99170"
base0A="#ffefcc"
base0B="#a5ffe1"
base0C="#97e0ff"
base0D="#97bbf7"
base0E="#c0b7f9"
base0F="#fcc09e"

DIR=$HOME
FILE=
while [ -z "$FILE" ]
do
  sel=$( ls "$DIR" | rofi -dmenu -i -lines 5 -eh 2 -width 100 -padding 300 -opacity "80" -bw 0 -bc "$base01" -bg "$base02" -fg "$base07" -hlbg "$base05" -columns 2 "Terminus 8" -hlfg "#9575cd" )
  if [ -z "$sel" ]
  then
    exit 0
  elif [ -f "$DIR/$sel" ]
  then
    FILE="$sel"
  elif [ -d "$DIR/$sel" ]
  then
    DIR="$DIR/$sel"
  else
    exit 1
  fi
done
exec xdg-open "$DIR/$FILE"
